<template>
    <q-layout view="lHh Lpr lff">
      <q-header elevated class="bg-cyan-8 q-py-md">
        <q-toolbar>
          <q-toolbar-title>
          <q-avatar square style="height:60px; width:60px">
            <img src="statics/logo.png" >
          </q-avatar>
          </q-toolbar-title>
          <q-btn flat @click="drawer = !drawer" round  size="lg" dense icon="menu" />
        </q-toolbar>
      </q-header>

      <q-drawer
        v-model="drawer"
        show-if-above
        :width="250"
        :breakpoint="600"
      >
        <q-scroll-area
          style="height: calc(100% - 150px); 
          margin-top: 150px; 
          border-right: 
          1px solid #ddd">
          <q-list padding>
            <q-item
              to="/ketua_kelas"
              exact
              clickable
              v-ripple>
              <q-item-section avatar>
                <q-icon name="home" />
              </q-item-section>

              <q-item-section>
                Home
              </q-item-section>
            </q-item>

            <q-item
              to="/ketua_kelas/profile"
              exact
              clickable
              v-ripple>
              <q-item-section avatar>
                <q-icon name="account_box" />
              </q-item-section>

              <q-item-section>
                Profile
              </q-item-section>
            </q-item>

            <q-item
              to="/login"
              exact
              clickable
              v-ripple>
              <q-item-section avatar>
                <q-icon name="exit_to_app " />
              </q-item-section>

              <q-item-section>
                Logout
              </q-item-section>
            </q-item>

          </q-list>
        </q-scroll-area>

        <q-img class="absolute-top" style="height: 150px; background-color: #26A69A">
          <div class="absolute-bottom bg-transparent">
            <q-avatar size="56px" class="q-mb-sm">
              <img src="statics/avatar.jpg">
            </q-avatar>
            <div class="text-weight-bold">Bongson Hutagaol</div>
            <div>42 TRPL</div>
          </div>
        </q-img>
      </q-drawer>

      <q-page-container>
        <router-view /> 
      </q-page-container>
    </q-layout>
</template>



<script>
import EssentialLink from 'components/EssentialLink'
import { date } from 'quasar'

export default {
  name: 'MainLayout',

  components: {
    EssentialLink
  },

  
  data () {
    return {
      drawer: false
    }
  },
  computed: {
    todaysDate(){
      let timeStamp = Date.now()
      return date.formatDate(timeStamp, 'dddd, D MMMM YYYY', {
        days: ['Senin', 'Selasa', 'Rabu', 'Kamis', 'Jumat', 'Sabtu', 'Minggu'],
        daysShort: ['Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab', 'Min'],
        months: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
        monthsShort: ['Jan', 'Feb','Mar', 'Apr', 'Mei', 'Jun', 'Jul', 'Ag', 'Sep', 'Okt', 'Nov', 'Des']
      })
      // <div class="text-h5">{{ todaysDate }}</div>
    }
  }
}
</script>
